#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           plasma-pass
Version: 1.2.2
Release:        %mkrel %{rel}
Summary:        Plasma applet for the Pass password manager
License:        CC0-1.0 AND LGPL-2.1-or-later
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma-pass/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

# Qt
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)

# KDE Frameworks
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(Plasma5Support)

BuildRequires:  cmake(QGpgmeQt6)
BuildRequires:  pkgconfig(liboath)


%description
Plasma Pass is a Plasma applet to access password from pass, the standard
UNIX password manager.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%_kf6_categoriesdir/%{name}.categories
%_qt6_qmldir/org/kde/plasma/private/plasmapass/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.pass/
#_kf6_metainfodir/org.kde.plasma.pass.appdata.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Tue Feb 27 2024 daviddavid <daviddavid> 1.2.2-1.mga10
+ Revision: 2044616
- new version: 1.2.2

* Fri Jan 12 2024 daviddavid <daviddavid> 1.2.1-3.git20240108.mga10
+ Revision: 2030387
- rebuild with renamed Plasma5Support

* Wed Jan 10 2024 daviddavid <daviddavid> 1.2.1-2.git20240108.mga10
+ Revision: 2029490
- update to latest git snapshot as of 20240108 ported to Qt6/KF6

* Sun Mar 05 2023 daviddavid <daviddavid> 1.2.1-1.mga9
+ Revision: 1947804
- new version: 1.2.1

* Tue Nov 15 2022 daviddavid <daviddavid> 1.2.0-2.mga9
+ Revision: 1907370
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 daviddavid <daviddavid> 1.2.0-1.mga9
+ Revision: 1690717
- new version: 1.2.0

* Thu Dec 17 2020 umeabot <umeabot> 1.1.0-5.mga8
+ Revision: 1659391
- Rebuild for new Qt5

* Wed Jul 22 2020 daviddavid <daviddavid> 1.1.0-4.mga8
+ Revision: 1607757
- backport upstream fixes from git 20200622
- add upstream patch to fix build against Qt 5.15

* Thu May 28 2020 daviddavid <daviddavid> 1.1.0-3.mga8
+ Revision: 1588565
- switch appdata file to kf5_metainfo dir

* Tue Feb 18 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1539303
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Dec 06 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1464854
- new version: 1.1.0

* Mon Apr 01 2019 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1384014
- Qt5 Rebuild

* Tue Feb 19 2019 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1368364
- initial package plasma-pass

